For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList agents
      • POSTCreate an agent
      • GETGet an agent
      • GETList agent versions for an agent
      • GETRevert to a specific agent version
      • GETList Agent Roles
      • POSTAssign Role to Agent
      • DELRemove Role from Agent
      • GETGet logs for an agent
      • GETGet an agent log
      • GETGet all agent logs in your environment
      • GETGet all executions in your environment
      • DELDelete an agent
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceAgents

List agent versions for an agent

GET
https://api.x.flatfile.com/v1/agents/:agentId/versions
GET
/v1/agents/:agentId/versions
$curl https://api.x.flatfile.com/v1/agents/agentId/versions \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "agent_id": "agent_id",
5 "createdAt": "2024-01-15T09:30:00Z",
6 "id": "id",
7 "origin": 1,
8 "updatedAt": "2024-01-15T09:30:00Z",
9 "version": 1,
10 "commitInfo": {
11 "commitInfo": {
12 "key": "value"
13 }
14 },
15 "compiler": "js",
16 "isSystem": true,
17 "namespace": "namespace",
18 "packageVersions": {
19 "packageVersions": "packageVersions"
20 },
21 "slug": "slug",
22 "source": "source",
23 "sourceMap": "sourceMap",
24 "template": "constraints",
25 "templateOptions": {
26 "template": "constraints",
27 "namespace": "namespace"
28 },
29 "topics": [
30 "agent:created",
31 "agent:created"
32 ],
33 "options": {
34 "options": {
35 "key": "value"
36 }
37 }
38 },
39 {
40 "agent_id": "agent_id",
41 "createdAt": "2024-01-15T09:30:00Z",
42 "id": "id",
43 "origin": 1,
44 "updatedAt": "2024-01-15T09:30:00Z",
45 "version": 1,
46 "commitInfo": {
47 "commitInfo": {
48 "key": "value"
49 }
50 },
51 "compiler": "js",
52 "isSystem": true,
53 "namespace": "namespace",
54 "packageVersions": {
55 "packageVersions": "packageVersions"
56 },
57 "slug": "slug",
58 "source": "source",
59 "sourceMap": "sourceMap",
60 "template": "constraints",
61 "templateOptions": {
62 "template": "constraints",
63 "namespace": "namespace"
64 },
65 "topics": [
66 "agent:created",
67 "agent:created"
68 ],
69 "options": {
70 "options": {
71 "key": "value"
72 }
73 }
74 }
75 ]
76}
Was this page helpful?
Previous

Revert to a specific agent version

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

agentIdstringRequired
Agent ID

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
datalist of objects

Errors

400
Bad Request Error
404
Not Found Error